%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-keygrip
Version:    1.0.1
Release:    3%{?dist}
Summary:    Key signing and verification for rotated credentials
License:    MIT 
URL:        https://github.com/crypto-utils/keygrip
Source:     https://github.com/crypto-utils/keygrip/archive/%{version}.tar.gz

BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires: nodejs-packaging
BuildRequires: nodejs-debug
BuildRequires: nodejs-scmp

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Node.js module for signing and verifying data using rotating credential system


%prep
%setup -q -n keygrip-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-keygrip
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/nodejs-keygrip

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
mocha --reporter spec --bail
%endif

%files
%doc README.md LICENSE.txt test.js
%{nodejs_sitelib}/nodejs-keygrip


%changelog
* Mon Mar 02 2015 Anish Patil <apatil@redhat.com> - 1.0.1-3
- Incorporated package review comments

* Thu Feb 26 2015 Anish Patil <apatil@redhat.com> - 1.0.1-2
- Incorporated package review comments

* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 1.0.1-1
- Initial package
